commit:     b7a3f08c381724ea2c16a1ed76c11063d8f2259c
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 19 15:56:16 2018 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Tue Jun 19 15:56:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7a3f08c

net-mail/mailutils: fix guile dependency.

and fix mh format test failure

Bug: https://bugs.gentoo.org/648754
Closes: https://bugs.gentoo.org/640644
Closes: https://bugs.gentoo.org/644804
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../files/mailutils-3.4-MH-testsuite.patch         |  70 +++++++++++
 net-mail/mailutils/mailutils-3.4-r1.ebuild         | 133 +++++++++++++++++++++
 2 files changed, 203 insertions(+)

diff --git a/net-mail/mailutils/files/mailutils-3.4-MH-testsuite.patch 
b/net-mail/mailutils/files/mailutils-3.4-MH-testsuite.patch
new file mode 100644
index 00000000000..919b6619e5f
--- /dev/null
+++ b/net-mail/mailutils/files/mailutils-3.4-MH-testsuite.patch
@@ -0,0 +1,70 @@
+From 696754b9332922a00e977903d6df3def6ddb3fb6 Mon Sep 17 00:00:00 2001
+From: Sergey Poznyakoff <[email protected]>
+Date: Fri, 10 Nov 2017 21:28:17 +0200
+Subject: Minor fix in MH testsuite
+
+Running fmtcheck without .mh_profile triggers mh_install, which
+surprises the testsuite with unexpected output "I'm going to
+create the standard MH path for you." Defining the MH envar to
+an existing file name suppresses it.
+
+* mh/tests/fmtcnd00.at: Always define MH prior to starting fmtcheck.
+* mh/tests/fmtcomp.at: Likewise.
+* mh/tests/fmtfunc.at: Likewise.
+---
+ mh/tests/fmtcnd00.at | 2 +-
+ mh/tests/fmtcomp.at  | 4 ++--
+ mh/tests/fmtfunc.at  | 2 +-
+ 3 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/mh/tests/fmtcnd00.at b/mh/tests/fmtcnd00.at
+index 507e8e5..f674d41 100644
+--- a/mh/tests/fmtcnd00.at
++++ b/mh/tests/fmtcnd00.at
+@@ -28,7 +28,7 @@ m4_pushdef([FMTCOND],[
+ AT_SETUP([$1])
+ AT_KEYWORDS([format fmtcond fmtcnd00])
+ AT_DATA([msg],[$2])
+-AT_CHECK([fmtcheck -format 'FORMAT' msg
++AT_CHECK([MH=/dev/null fmtcheck -format 'FORMAT' msg
+ ],
+ [0],
+ [$3])
+diff --git a/mh/tests/fmtcomp.at b/mh/tests/fmtcomp.at
+index 72cd823..615470a 100644
+--- a/mh/tests/fmtcomp.at
++++ b/mh/tests/fmtcomp.at
+@@ -22,7 +22,7 @@ dnl
+ m4_pushdef([FMTCOMP],[
+ AT_SETUP([$1])
+ AT_KEYWORDS([format fmtcomp])
+-AT_CHECK([fmtcheck -disass -dump -format '$2'
++AT_CHECK([MH=/dev/null fmtcheck -disass -dump -format '$2'
+ ],
+ [m4_if([$4],[],[0],[1])],
+ [$3],[$4])
+@@ -296,7 +296,7 @@ m4_pushdef([FMTCOMP],[
+ AT_SETUP([$1])
+ AT_KEYWORDS([format fmtdiag])
+ AT_DATA([input.fmt],[$2])
+-AT_CHECK([fmtcheck -form input.fmt
++AT_CHECK([MH=/dev/null fmtcheck -form input.fmt
+ ],
+ [1],
+ [],
+diff --git a/mh/tests/fmtfunc.at b/mh/tests/fmtfunc.at
+index 844a777..0829d45 100644
+--- a/mh/tests/fmtfunc.at
++++ b/mh/tests/fmtfunc.at
+@@ -212,7 +212,7 @@ AT_DATA([input.fmt],[%(getenv MH_TEST)
+ AT_DATA([message],[
+ 
+ ])
+-AT_CHECK([MH_TEST=defined fmtcheck -form input.fmt -width 80 message
++AT_CHECK([MH=/dev/null MH_TEST=defined fmtcheck -form input.fmt -width 80 
message
+ ],
+ [0],
+ [defined
+-- 
+cgit v1.0-41-gc330
+

diff --git a/net-mail/mailutils/mailutils-3.4-r1.ebuild 
b/net-mail/mailutils/mailutils-3.4-r1.ebuild
new file mode 100644
index 00000000000..c52787aad2c
--- /dev/null
+++ b/net-mail/mailutils/mailutils-3.4-r1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils flag-o-matic python-single-r1 toolchain-funcs
+
+DESCRIPTION="A useful collection of mail servers, clients, and filters"
+HOMEPAGE="https://www.gnu.org/software/mailutils/mailutils.html";
+#SRC_URI="mirror://gnu/mailutils/${P}.tar.xz"
+SRC_URI="mirror://gnu/mailutils/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~ppc-macos 
~x64-macos ~x86-macos"
+IUSE="berkdb bidi +clients gdbm sasl guile ipv6 kerberos kyotocabinet ldap \
+       mysql nls pam postgres python servers ssl static-libs +threads tcpd \
+       tokyocabinet"
+
+RDEPEND="!mail-client/nmh
+       !mail-filter/libsieve
+       !mail-client/mailx
+       !mail-client/nail
+       sys-libs/ncurses:=
+       sys-libs/readline:=
+       dev-libs/libltdl:0
+       virtual/mta
+       berkdb? ( sys-libs/db:= )
+       bidi? ( dev-libs/fribidi )
+       gdbm? ( sys-libs/gdbm )
+       guile? ( dev-scheme/guile:12/22 )
+       kerberos? ( virtual/krb5 )
+       kyotocabinet? ( dev-db/kyotocabinet )
+       ldap? ( net-nds/openldap )
+       mysql? ( virtual/mysql )
+       nls? ( sys-devel/gettext )
+       pam? ( virtual/pam )
+       postgres? ( dev-db/postgresql:= )
+       python? ( ${PYTHON_DEPS} )
+       sasl? ( virtual/gsasl )
+       ssl? ( net-libs/gnutls:= )
+       tcpd? ( sys-apps/tcp-wrappers )
+       tokyocabinet? ( dev-db/tokyocabinet )"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       servers? ( tcpd )"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # Disable bytecompilation of Python modules.
+       echo "#!/bin/sh" > build-aux/py-compile
+       # add missing tests so that make check doesn't fail
+       cp "${FILESDIR}"/{hdr,nohdr,twomsg,weed}.at "${S}"/readmsg/tests || die
+       if use mysql; then
+               sed -i -e /^INCLUDES/"s:$:$(mysql_config --include):" \
+                       sql/Makefile.am || die
+       fi
+       eapply "${FILESDIR}/${P}-MH-testsuite.patch"
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+
+       # maildir is the Gentoo default
+       econf MU_DEFAULT_SCHEME=maildir \
+               CURSES_LIBS="$($(tc-getPKG_CONFIG) --libs ncurses)" \
+               $(use_with berkdb berkeley-db) \
+               $(use_with bidi fribidi) \
+               $(use_enable ipv6) \
+               $(use_with gdbm) \
+               $(use_with sasl gsasl) \
+               $(use_with guile) \
+               $(use_with kerberos gssapi) \
+               $(use_with ldap) \
+               $(use_with mysql) \
+               $(use_enable nls) \
+               $(use_enable pam) \
+               $(use_with postgres) \
+               $(use_enable python) \
+               $(use_with ssl gnutls) \
+               $(use_enable static-libs static) \
+               $(use_enable threads pthread) \
+               $(use_with tokyocabinet) \
+               $(use_with kyotocabinet) \
+               $(use_with tcpd tcp-wrappers) \
+               $(use_enable servers build-servers) \
+               $(use_enable clients build-clients) \
+               --with-mail-spool=/var/spool/mail \
+               --with-readline \
+               --enable-sendmail \
+               --disable-debug \
+               --disable-rpath
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       insinto /etc
+       # bug 613112
+       newins "${FILESDIR}/mailutils.rc" mailutils.conf
+       keepdir /etc/mailutils.d/
+       insinto /etc/mailutils.d
+       doins "${FILESDIR}/mail"
+
+       if use python; then
+               python_optimize
+               if use static-libs; then
+                       rm -r "${D}$(python_get_sitedir)/mailutils"/*.{a,la} || 
die
+               fi
+       fi
+
+       if use servers; then
+               newinitd "${FILESDIR}"/imap4d.initd imap4d
+               newinitd "${FILESDIR}"/pop3d.initd pop3d
+               newinitd "${FILESDIR}"/comsatd.initd comsatd
+       fi
+
+       dodoc AUTHORS ChangeLog NEWS README* THANKS TODO
+
+       # compatibility link
+       use clients && dosym /usr/bin/mail /bin/mail
+
+       use static-libs || find "${D}" -name "*.la" -delete
+}

Reply via email to